<?
$__functions['install'][]	='_esmo_intro_install_modul' ;
$__functions['init'][]      ='_esmo_intro_admin_vars' ;
$__functions['boot_site'][] ='_esmo_intro_site_boot' ;
$__functions['main_menu'][] ='_esmo_intro_main_menu' ;

function _esmo_intro_admin_vars() //
{
}

function _esmo_intro_install_modul($DOT_root)
{
	if (!_sizeof($GLOBALS['install_options']) or $GLOBALS['install_options']['settings'])
	{ $event_ext='esmo_intro/i_event_docs_intro' ;
	  if ($GLOBALS['LS_esmo_intro_id']) echo 'Мероприятие <strong>Внедрение ЭСМО</strong> уже создано<br>' ;
	  else
	  {   echo 'Создаем мероприятие <strong>Внедрение ЭСМО</strong><br>' ;
	      $obj_event=EVENTS()->get_event_obj_by_ext($event_ext) ;
	      if (!$obj_event->error)
	         { $obj_event->default_settings['ext']=$event_ext ;
	           $obj_event->default_settings['name']='Внедрение ЭСМО' ;
	           $obj_event->default_settings['group_id']=1 ;
	           $obj_event->default_settings['status']=1 ;
	           $obj_event->default_settings['enabled']=1 ;
	           $obj_event->default_settings['type']=2 ;
	           $obj_event->default_settings['mode']=6 ;
	           $obj_event->default_settings['sanction']['block_mo']=1;
	           $obj_event->default_settings['message1']='Вам необходимо сдать направление по АГ' ;
	           $obj_event->default_settings['period_to_status_2']=30 ;
	           $obj_event->default_settings['period_to_status_3']=10 ;
	           $id=EVENTS()->reg_event($obj_event->default_settings) ;
	           if ($id)
	           { echo 'Мероприятие <strong>Внедрение ЭСМО</strong> успешно создано<br>' ;
	             update_site_setting('LS_esmo_intro_id',$id) ;
	           }
	         } else echo '<strong>'.$event_ext.'</strong> '.$obj_event->error.'<br>' ;
	  }

	  // проверяем правильность задания  LS_esmo_intro_id
      $LS_esmo_intro_id=execSQL_value('select pkey from obj_site_events_schedule where ext="esmo_intro/i_event_docs_intro" order by pkey limit 1') ;
      if ($GLOBALS['LS_esmo_intro_id']!=$LS_esmo_intro_id) update_site_setting('LS_esmo_intro_id',$LS_esmo_intro_id) ;
    }

	if (!_sizeof($GLOBALS['install_options']) or $GLOBALS['install_options']['settings']) $from=execSQL_value('select min(c_data) from obj_site_mo_session')  ;
    $id_sect=SETUP_add_section_to_site_setting('Внедрение ЭСМО') ;
	SETUP_add_rec_to_site_setting($id_sect,"Код мероприятия внедрения ЭСМО",0,'LS_esmo_intro_id') ;
    SETUP_add_rec_to_site_setting($id_sect,"Срок начала периода обработки данных",date('d.m.Y',$from),'LS_esmo_intro_from') ;
    SETUP_add_rec_to_site_setting($id_sect,"Использовать предсменные МО",1,'LS_esmo_intro_tk0',array('el'=>'checkbox')) ;
    SETUP_add_rec_to_site_setting($id_sect,"Использовать послесменные МО",0,'LS_esmo_intro_tk1',array('el'=>'checkbox')) ;
    SETUP_add_rec_to_site_setting($id_sect,"Использовать межсменные МО",0,'LS_esmo_intro_tk2',array('el'=>'checkbox')) ;


    $id_list=SETUP_add_list_to_site_list(1,'Этапы внедрения ЭСМО','levels_intro') ;
	if ($id_list)
	{ $from=time() ;
      SETUP_add_rec_to_site_list($id_list,20,array('id'=>1,'obj_name'=>'20/40/'.date('d.m.Y',$from))) ;

      $tt=getdate($from) ;
      $from=mktime(0,0,0,$tt['mon']+1,$tt['mday'],$tt['year']);
      SETUP_add_rec_to_site_list($id_list,20,array('id'=>2,'obj_name'=>'10/30/'.date('d.m.Y',$from))) ;

      $tt=getdate($from) ;
      $from=mktime(0,0,0,$tt['mon']+1,$tt['mday'],$tt['year']);
      SETUP_add_rec_to_site_list($id_list,20,array('id'=>3,'obj_name'=>'5/10/'.date('d.m.Y',$from))) ;
	}

}

function _esmo_intro_site_boot($options)
{

}

function _esmo_intro_main_menu($page)
{ //$page->menu['/cab/esmo_intro/']='Внедрение ЭСМО' ; - пункт меню прописан по условию в class/ext/events/c_events.php
}

class i_esmo_intro
{
 function __construct()
 {
 }


}

?>
